Commit f4da4e38 authored by Andreas Sturmlechner's avatar Andreas Sturmlechner
Browse files

Drop use of DETECT_LIBKVKONTAKTE

parent 50b26ca4
......@@ -46,6 +46,7 @@ set(KF5_MIN_VERSION "5.18.0")
set(QT_MIN_VERSION "5.6.0")
set(KIPI_MIN_VERSION "5.0.0")
set(MEDIAWIKI_MIN_VERSION "5.0.0")
set(VKONTAKTE_MIN_VERSION "4.70.0")
cmake_minimum_required(VERSION ${CMAKE_MIN_VERSION})
############## ECM setup ######################
......@@ -160,7 +161,7 @@ message(STATUS "libkipi SO version : ${KIPI_LIB_SO_CUR_VERSION}")
# -- Optional dependencies detection required by some plugins -------------------------------------
find_package(KF5MediaWiki ${MEDIAWIKI_MIN_VERSION})
DETECT_LIBKVKONTAKTE(4.70.0) # For VKontakte.
find_package(KF5Vkontakte ${VKONTAKTE_MIN_VERSION})
# ==================================================================================================
# Log messages
......
......@@ -6,8 +6,6 @@
add_definitions(-DTRANSLATION_DOMAIN=\"kipiplugin_vkontakte\")
include_directories(${LIBKVKONTAKTE_INCLUDES})
set(kipiplugin_vkontakte_PART_SRCS
plugin_vkontakte.cpp
vkwindow.cpp
......@@ -26,7 +24,7 @@ target_link_libraries(kipiplugin_vkontakte
KF5kipiplugins
${LIBKVKONTAKTE_LIBRARIES}
KF5::Vkontakte
)
configure_file(kipiplugin_vkontakte.desktop.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/kipiplugin_vkontakte.desktop)
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment